PLASMA: plasma_c Module Reference

PLASMA 2.4.6

- Main Page
- Modules
- Data Types List

- Data Types List
- Data Types

All Data Structures Functions Groups
Data Types | Public Member Functions
plasma_c Module Reference

## Data Types
interface | PLASMA_Alloc_Workspace_cgebrd_c
interface | PLASMA_Alloc_Workspace_cgeev_c
interface | PLASMA_Alloc_Workspace_cgehrd_c
interface | PLASMA_Alloc_Workspace_cgelqf_c
interface | PLASMA_Alloc_Workspace_cgelqf_Tile_c
interface | PLASMA_Alloc_Workspace_cgels_c
interface | PLASMA_Alloc_Workspace_cgels_Tile_c
interface | PLASMA_Alloc_Workspace_cgeqrf_c
interface | PLASMA_Alloc_Workspace_cgeqrf_Tile_c
interface | PLASMA_Alloc_Workspace_cgesv_incpiv_c
interface | PLASMA_Alloc_Workspace_cgesv_incpiv_Tile_c
interface | PLASMA_Alloc_Workspace_cgesvd_c
interface | PLASMA_Alloc_Workspace_cgetrf_incpiv_c
interface | PLASMA_Alloc_Workspace_cgetrf_incpiv_Tile_c
interface | PLASMA_Alloc_Workspace_cgetri_Tile_Async_c
interface | PLASMA_Alloc_Workspace_cheev_c
interface | PLASMA_Alloc_Workspace_cheevd_c
interface | PLASMA_Alloc_Workspace_chegv_c
interface | PLASMA_Alloc_Workspace_chegvd_c
interface | PLASMA_Alloc_Workspace_chetrd_c
interface | PLASMA_cgebrd_c
interface | PLASMA_cgebrd_Tile_Async_c
interface | PLASMA_cgebrd_Tile_c
interface | PLASMA_cgecfi_Async_c
interface | PLASMA_cgecfi_c
interface | PLASMA_cgelqf_c
interface | PLASMA_cgelqf_Tile_Async_c
interface | PLASMA_cgelqf_Tile_c
interface | PLASMA_cgelqs_c
interface | PLASMA_cgelqs_Tile_Async_c
interface | PLASMA_cgelqs_Tile_c
interface | PLASMA_cgels_c
interface | PLASMA_cgels_Tile_Async_c
interface | PLASMA_cgels_Tile_c
interface | PLASMA_cgemm_c
interface | PLASMA_cgemm_Tile_Async_c
interface | PLASMA_cgemm_Tile_c
interface | PLASMA_cgeqrf_c
interface | PLASMA_cgeqrf_Tile_Async_c
interface | PLASMA_cgeqrf_Tile_c
interface | PLASMA_cgeqrs_c
interface | PLASMA_cgeqrs_Tile_Async_c
interface | PLASMA_cgeqrs_Tile_c
interface | PLASMA_cgesv_c
interface | PLASMA_cgesv_incpiv_c
interface | PLASMA_cgesv_incpiv_Tile_Async_c
interface | PLASMA_cgesv_incpiv_Tile_c
interface | PLASMA_cgesv_Tile_Async_c
interface | PLASMA_cgesv_Tile_c
interface | PLASMA_cgesvd_c
interface | PLASMA_cgesvd_Tile_Async_c
interface | PLASMA_cgesvd_Tile_c
interface | PLASMA_cgetmi_Async_c
interface | PLASMA_cgetmi_c
interface | PLASMA_cgetrf_c
interface | PLASMA_cgetrf_incpiv_c
interface | PLASMA_cgetrf_incpiv_Tile_Async_c
interface | PLASMA_cgetrf_incpiv_Tile_c
interface | PLASMA_cgetrf_Tile_Async_c
interface | PLASMA_cgetrf_Tile_c
interface | PLASMA_cgetri_c
interface | PLASMA_cgetri_Tile_Async_c
interface | PLASMA_cgetri_Tile_c
interface | PLASMA_cgetrs_c
interface | PLASMA_cgetrs_incpiv_c
interface | PLASMA_cgetrs_incpiv_Tile_Async_c
interface | PLASMA_cgetrs_incpiv_Tile_c
interface | PLASMA_cgetrs_Tile_Async_c
interface | PLASMA_cgetrs_Tile_c
interface | PLASMA_cheev_c
interface | PLASMA_cheev_Tile_Async_c
interface | PLASMA_cheev_Tile_c
interface | PLASMA_cheevd_c
interface | PLASMA_cheevd_Tile_Async_c
interface | PLASMA_cheevd_Tile_c
interface | PLASMA_chegst_c
interface | PLASMA_chegst_Tile_Async_c
interface | PLASMA_chegst_Tile_c
interface | PLASMA_chegv_c
interface | PLASMA_chegv_Tile_Async_c
interface | PLASMA_chegv_Tile_c
interface | PLASMA_chegvd_c
interface | PLASMA_chegvd_Tile_Async_c
interface | PLASMA_chegvd_Tile_c
interface | PLASMA_chemm_c
interface | PLASMA_chemm_Tile_Async_c
interface | PLASMA_chemm_Tile_c
interface | PLASMA_cher2k_c
interface | PLASMA_cher2k_Tile_Async_c
interface | PLASMA_cher2k_Tile_c
interface | PLASMA_cherk_c
interface | PLASMA_cherk_Tile_Async_c
interface | PLASMA_cherk_Tile_c
interface | PLASMA_chetrd_c
interface | PLASMA_chetrd_Tile_Async_c
interface | PLASMA_chetrd_Tile_c
interface | PLASMA_clacpy_c
interface | PLASMA_clacpy_Tile_Async_c
interface | PLASMA_clacpy_Tile_c
interface | PLASMA_clange_c
interface | PLASMA_clange_Tile_Async_c
interface | PLASMA_clange_Tile_c
interface | PLASMA_clanhe_c
interface | PLASMA_clanhe_Tile_Async_c
interface | PLASMA_clanhe_Tile_c
interface | PLASMA_clansy_c
interface | PLASMA_clansy_Tile_Async_c
interface | PLASMA_clansy_Tile_c
interface | PLASMA_cLapack_to_Tile_Async_c
interface | PLASMA_cLapack_to_Tile_c
interface | PLASMA_claset_c
interface | PLASMA_claset_Tile_Async_c
interface | PLASMA_claset_Tile_c
interface | PLASMA_claswp_c
interface | PLASMA_claswp_Tile_Async_c
interface | PLASMA_claswp_Tile_c
interface | PLASMA_claswpc_c
interface | PLASMA_claswpc_Tile_Async_c
interface | PLASMA_claswpc_Tile_c
interface | PLASMA_clauum_c
interface | PLASMA_clauum_Tile_Async_c
interface | PLASMA_clauum_Tile_c
interface | PLASMA_cplghe_c
interface | PLASMA_cplghe_Tile_Async_c
interface | PLASMA_cplghe_Tile_c
interface | PLASMA_cplgsy_c
interface | PLASMA_cplgsy_Tile_Async_c
interface | PLASMA_cplgsy_Tile_c
interface | PLASMA_cplrnt_c
interface | PLASMA_cplrnt_Tile_Async_c
interface | PLASMA_cplrnt_Tile_c
interface | PLASMA_cposv_c
interface | PLASMA_cposv_Tile_Async_c
interface | PLASMA_cposv_Tile_c
interface | PLASMA_cpotrf_c
interface | PLASMA_cpotrf_Tile_Async_c
interface | PLASMA_cpotrf_Tile_c
interface | PLASMA_cpotri_c
interface | PLASMA_cpotri_Tile_Async_c
interface | PLASMA_cpotri_Tile_c
interface | PLASMA_cpotrs_c
interface | PLASMA_cpotrs_Tile_Async_c
interface | PLASMA_cpotrs_Tile_c
interface | PLASMA_csymm_c
interface | PLASMA_csymm_Tile_Async_c
interface | PLASMA_csymm_Tile_c
interface | PLASMA_csyr2k_c
interface | PLASMA_csyr2k_Tile_Async_c
interface | PLASMA_csyr2k_Tile_c
interface | PLASMA_csyrk_c
interface | PLASMA_csyrk_Tile_Async_c
interface | PLASMA_csyrk_Tile_c
interface | PLASMA_cTile_to_Lapack_Async_c
interface | PLASMA_cTile_to_Lapack_c
interface | PLASMA_ctrmm_c
interface | PLASMA_ctrmm_Tile_Async_c
interface | PLASMA_ctrmm_Tile_c
interface | PLASMA_ctrsm_c
interface | PLASMA_ctrsm_Tile_Async_c
interface | PLASMA_ctrsm_Tile_c
interface | PLASMA_ctrsmpl_c
interface | PLASMA_ctrsmpl_Tile_Async_c
interface | PLASMA_ctrsmpl_Tile_c
interface | PLASMA_ctrsmrv_c
interface | PLASMA_ctrsmrv_Tile_Async_c
interface | PLASMA_ctrsmrv_Tile_c
interface | PLASMA_ctrtri_c
interface | PLASMA_ctrtri_Tile_Async_c
interface | PLASMA_ctrtri_Tile_c
interface | PLASMA_cunglq_c
interface | PLASMA_cunglq_Tile_Async_c
interface | PLASMA_cunglq_Tile_c
interface | PLASMA_cungqr_c
interface | PLASMA_cungqr_Tile_Async_c
interface | PLASMA_cungqr_Tile_c
interface | PLASMA_cunmlq_c
interface | PLASMA_cunmlq_Tile_Async_c
interface | PLASMA_cunmlq_Tile_c
interface | PLASMA_cunmqr_c
interface | PLASMA_cunmqr_Tile_Async_c
interface | PLASMA_cunmqr_Tile_c

## Public Member Functions
subroutine | plasma_cgebrd (M, N, A, LDA, D, E, T, info)
subroutine | plasma_cgelqf (M, N, A, LDA, T, info)
subroutine | plasma_cgelqs (M, N, NRHS, A, LDA, T, B, LDB, info)
subroutine | plasma_cgels (trans, M, N, NRHS, A, LDA, T, B, LDB, info)
subroutine | plasma_cgemm (transA, transB, M, N, K, alpha, A, LDA, B, LDB, beta, C, LDC, info)
subroutine | plasma_cgeqrf (M, N, A, LDA, T, info)
subroutine | plasma_cgeqrs (M, N, NRHS, A, LDA, T, B, LDB, info)
subroutine | plasma_cgesv (N, NRHS, A, LDA, IPIV, B, LDB, info)
subroutine | plasma_cgesv_incpiv (N, NRHS, A, LDA, L, IPIV, B, LDB, info)
subroutine | plasma_cgesvd (jobu, jobvt, M, N, A, LDA, S, U, LDU, VT, LDVT, T, info)
subroutine | plasma_cgetrf (M, N, A, LDA, IPIV, info)
subroutine | plasma_cgetrf_incpiv (M, N, A, LDA, L, IPIV, info)
subroutine | plasma_cgetrs (trans, N, NRHS, A, LDA, IPIV, B, LDB, info)
subroutine | plasma_cgetrs_incpiv (trans, N, NRHS, A, LDA, L, IPIV, B, LDB, info)
subroutine | plasma_chemm (side, uplo, M, N, alpha, A, LDA, B, LDB, beta, C, LDC, info)
subroutine | plasma_cherk (uplo, trans, N, K, alpha, A, LDA, beta, C, LDC, info)
subroutine | plasma_cher2k (uplo, trans, N, K, alpha, A, LDA, B, LDB, beta, C, LDC, info)
subroutine | plasma_cheev (jobz, uplo, N, A, LDA, W, T, Q, LDQ, info)
subroutine | plasma_cheevd (jobz, uplo, N, A, LDA, W, T, Q, LDQ, info)
subroutine | plasma_chegv (itype, jobz, uplo, N, A, LDA, B, LDB, W, T, Q, LDQ, info)
subroutine | plasma_chegvd (itype, jobz, uplo, N, A, LDA, B, LDB, W, T, Q, LDQ, info)
subroutine | plasma_chegst (itype, uplo, N, A, LDA, B, LDB, info)
subroutine | plasma_chetrd (jobz, uplo, N, A, LDA, D, E, descT, Q, LDQ, info)
real(kind=c_float) function | plasma_clange (norm, M, N, A, LDA, work)
real(kind=c_float) function | plasma_clanhe (norm, uplo, N, A, LDA, work)
real(kind=c_float) function | plasma_clansy (norm, uplo, N, A, LDA, work)
subroutine | plasma_claswp (N, A, LDA, K1, K2, IPIV, INCX, info)
subroutine | plasma_clauum (uplo, N, A, LDA, info)
subroutine | plasma_cplghe (bump, N, A, LDA, seed, info)
subroutine | plasma_cplgsy (bump, N, A, LDA, seed, info)
subroutine | plasma_cplrnt (M, N, A, LDA, seed, info)
subroutine | plasma_cposv (uplo, N, NRHS, A, LDA, B, LDB, info)
subroutine | plasma_cpotrf (uplo, N, A, LDA, info)
subroutine | plasma_cpotri (uplo, N, A, LDA, info)
subroutine | plasma_cpotrs (uplo, N, NRHS, A, LDA, B, LDB, info)
subroutine | plasma_csymm (side, uplo, M, N, alpha, A, LDA, B, LDB, beta, C, LDC, info)
subroutine | plasma_csyrk (uplo, trans, N, K, alpha, A, LDA, beta, C, LDC, info)
subroutine | plasma_csyr2k (uplo, trans, N, K, alpha, A, LDA, B, LDB, beta, C, LDC, info)
subroutine | plasma_ctrmm (side, uplo, transA, diag, N, NRHS, alpha, A, LDA, B, LDB, info)
subroutine | plasma_ctrsm (side, uplo, transA, diag, N, NRHS, alpha, A, LDA, B, LDB, info)
subroutine | plasma_ctrsmpl (N, NRHS, A, LDA, L, IPIV, B, LDB, info)
subroutine | plasma_ctrtri (uplo, diag, N, A, LDA, info)
subroutine | plasma_cunglq (M, N, K, A, LDA, T, B, LDB, info)
subroutine | plasma_cungqr (M, N, K, A, LDA, T, B, LDB, info)
subroutine | plasma_cunmlq (side, trans, M, N, K, A, LDA, T, B, LDB, info)
subroutine | plasma_cunmqr (side, trans, M, N, K, A, LDA, T, B, LDB, info)
subroutine | plasma_cgecfi (m, n, A, fin, imb, inb, fout, omb, onb, info)
subroutine | plasma_cgetmi (m, n, A, fin, mb, nb, info)
subroutine | plasma_cgetri (N, A, LDA, IPIV, info)
subroutine | plasma_clacpy (uplo, M, N, A, LDA, B, LDB, info)
subroutine | plasma_claset (uplo, M, N, alpha, beta, A, LDA, info)
subroutine | plasma_claswpc (N, A, LDA, K1, K2, IPIV, INCX, info)
subroutine | plasma_ctrsmrv (side, uplo, transA, diag, N, NRHS, alpha, A, LDA, B, LDB, info)
subroutine | plasma_cgebrd_tile (A, D, E, T, info)
subroutine | plasma_cgelqf_tile (A, T, info)
subroutine | plasma_cgelqs_tile (A, T, B, info)
subroutine | plasma_cgels_tile (trans, A, T, B, info)
subroutine | plasma_cgemm_tile (transA, transB, alpha, A, B, beta, C, info)
subroutine | plasma_cgeqrf_tile (A, T, info)
subroutine | plasma_cgeqrs_tile (A, T, B, info)
subroutine | plasma_cgesv_tile (A, IPIV, B, info)
subroutine | plasma_cgesv_incpiv_tile (A, L, IPIV, B, info)
subroutine | plasma_cgesvd_tile (jobu, jobvt, A, S, U, VT, T, info)
subroutine | plasma_cgetrf_tile (A, IPIV, info)
subroutine | plasma_cgetrf_incpiv_tile (A, L, IPIV, info)
subroutine | plasma_cgetrs_tile (trans, A, IPIV, B, info)
subroutine | plasma_cgetrs_incpiv_tile (A, L, IPIV, B, info)
subroutine | plasma_chemm_tile (side, uplo, alpha, A, B, beta, C, info)
subroutine | plasma_cherk_tile (uplo, trans, alpha, A, beta, C, info)
subroutine | plasma_cher2k_tile (uplo, trans, alpha, A, B, beta, C, info)
subroutine | plasma_cheev_tile (jobz, uplo, A, W, T, Q, LDQ, info)
subroutine | plasma_cheevd_tile (jobz, uplo, A, W, T, Q, LDQ, info)
subroutine | plasma_chegv_tile (itype, jobz, uplo, A, B, W, T, Q, info)
subroutine | plasma_chegvd_tile (itype, jobz, uplo, A, B, W, T, Q, info)
subroutine | plasma_chegst_tile (itype, uplo, A, B, info)
subroutine | plasma_chetrd_tile (jobz, uplo, A, D, E, T, Q, LDQ, info)
real(kind=c_float) function | plasma_clange_tile (norm, A, work)
real(kind=c_float) function | plasma_clanhe_tile (norm, uplo, A, work)
real(kind=c_float) function | plasma_clansy_tile (norm, uplo, A, work)
subroutine | plasma_claswp_tile (A, K1, K2, IPIV, INCX, info)
subroutine | plasma_clauum_tile (uplo, A, info)
subroutine | plasma_cplghe_tile (bump, A, seed, info)
subroutine | plasma_cplgsy_tile (bump, A, seed, info)
subroutine | plasma_cplrnt_tile (A, seed, info)
subroutine | plasma_cposv_tile (uplo, A, B, info)
subroutine | plasma_cpotrf_tile (uplo, A, info)
subroutine | plasma_cpotri_tile (uplo, A, info)
subroutine | plasma_cpotrs_tile (uplo, A, B, info)
subroutine | plasma_csymm_tile (side, uplo, alpha, A, B, beta, C, info)
subroutine | plasma_csyrk_tile (uplo, trans, alpha, A, beta, C, info)
subroutine | plasma_csyr2k_tile (uplo, trans, alpha, A, B, beta, C, info)
subroutine | plasma_ctrmm_tile (side, uplo, transA, diag, alpha, A, B, info)
subroutine | plasma_ctrsm_tile (side, uplo, transA, diag, alpha, A, B, info)
subroutine | plasma_ctrsmpl_tile (A, L, IPIV, B, info)
subroutine | plasma_ctrtri_tile (uplo, diag, A, info)
subroutine | plasma_cunglq_tile (A, T, B, info)
subroutine | plasma_cungqr_tile (A, T, B, info)
subroutine | plasma_cunmlq_tile (side, trans, A, T, B, info)
subroutine | plasma_cunmqr_tile (side, trans, A, T, B, info)
subroutine | plasma_cgetri_tile (A, IPIV, info)
subroutine | plasma_clacpy_tile (uplo, A, B, info)
subroutine | plasma_claset_tile (uplo, alpha, beta, A, info)
subroutine | plasma_claswpc_tile (A, K1, K2, IPIV, INCX, info)
subroutine | plasma_ctrsmrv_tile (side, uplo, transA, diag, alpha, A, B, info)
subroutine | plasma_cgetri_tile_async (A, IPIV, W, sequence, request, info)
subroutine | plasma_clange_tile_async (norm, A, work, value, sequence, request, info)
subroutine | plasma_clansy_tile_async (norm, uplo, A, work, value, sequence, request, info)
subroutine | plasma_cgebrd_tile_async (A, D, E, T, sequence, request, info)
subroutine | plasma_cgecfi_async (m, n, A, fin, imb, inb, fout, omb, onb, sequence, request, info)
subroutine | plasma_cgelqf_tile_async (A, T, sequence, request, info)
subroutine | plasma_cgelqs_tile_async (A, T, B, sequence, request, info)
subroutine | plasma_cgels_tile_async (trans, A, T, B, sequence, request, info)
subroutine | plasma_cgemm_tile_async (transA, transB, alpha, A, B, beta, C, sequence, request, info)
subroutine | plasma_cgeqrf_tile_async (A, T, sequence, request, info)
subroutine | plasma_cgeqrs_tile_async (A, T, B, sequence, request, info)
subroutine | plasma_cgesv_tile_async (A, IPIV, B, sequence, request, info)
subroutine | plasma_cgesv_incpiv_tile_async (A, L, IPIV, B, sequence, request, info)
subroutine | plasma_cgesvd_tile_async (jobu, jobvt, A, S, U, VT, T, sequence, request, info)
subroutine | plasma_cgetmi_async (m, n, A, fin, mb, nb, sequence, request, info)
subroutine | plasma_cgetrf_tile_async (A, IPIV, sequence, request, info)
subroutine | plasma_cgetrf_incpiv_tile_async (A, L, IPIV, sequence, request, info)
subroutine | plasma_cgetrs_tile_async (trans, A, IPIV, B, sequence, request, info)
subroutine | plasma_cgetrs_incpiv_tile_async (A, L, IPIV, B, sequence, request, info)
subroutine | plasma_chemm_tile_async (side, uplo, alpha, A, B, beta, C, sequence, request, info)
subroutine | plasma_cherk_tile_async (uplo, trans, alpha, A, beta, C, sequence, request, info)
subroutine | plasma_cher2k_tile_async (uplo, trans, alpha, A, B, beta, C, sequence, request, info)
subroutine | plasma_cheev_tile_async (jobz, uplo, A, W, T, Q, LDQ, sequence, request, info)
subroutine | plasma_cheevd_tile_async (jobz, uplo, A, W, T, Q, LDQ, sequence, request, info)
subroutine | plasma_chegv_tile_async (itype, jobz, uplo, A, B, W, T, Q, sequence, request, info)
subroutine | plasma_chegvd_tile_async (itype, jobz, uplo, A, B, W, T, Q, sequence, request, info)
subroutine | plasma_chegst_tile_async (itype, uplo, A, B, sequence, request, info)
subroutine | plasma_chetrd_tile_async (jobz, uplo, A, D, E, T, Q, LDQ, sequence, request, info)
subroutine | plasma_clanhe_tile_async (norm, uplo, A, work, value, sequence, request, info)
subroutine | plasma_claswp_tile_async (A, K1, K2, IPIV, INCX, sequence, request, info)
subroutine | plasma_clauum_tile_async (uplo, A, sequence, request, info)
subroutine | plasma_cplghe_tile_async (bump, A, seed, sequence, request, info)
subroutine | plasma_cplgsy_tile_async (bump, A, seed, sequence, request, info)
subroutine | plasma_cplrnt_tile_async (A, seed, sequence, request, info)
subroutine | plasma_cposv_tile_async (uplo, A, B, sequence, request, info)
subroutine | plasma_cpotrf_tile_async (uplo, A, sequence, request, info)
subroutine | plasma_cpotri_tile_async (uplo, A, sequence, request, info)
subroutine | plasma_cpotrs_tile_async (uplo, A, B, sequence, request, info)
subroutine | plasma_csymm_tile_async (side, uplo, alpha, A, B, beta, C, sequence, request, info)
subroutine | plasma_csyrk_tile_async (uplo, trans, alpha, A, beta, C, sequence, request, info)
subroutine | plasma_csyr2k_tile_async (uplo, trans, alpha, A, B, beta, C, sequence, request, info)
subroutine | plasma_ctrmm_tile_async (side, uplo, transA, diag, alpha, A, B, sequence, request, info)
subroutine | plasma_ctrsm_tile_async (side, uplo, transA, diag, alpha, A, B, sequence, request, info)
subroutine | plasma_ctrsmpl_tile_async (A, L, IPIV, B, sequence, request, info)
subroutine | plasma_ctrtri_tile_async (uplo, diag, A, sequence, request, info)
subroutine | plasma_cunglq_tile_async (A, T, B, sequence, request, info)
subroutine | plasma_cungqr_tile_async (A, T, B, sequence, request, info)
subroutine | plasma_cunmlq_tile_async (side, trans, A, T, B, sequence, request, info)
subroutine | plasma_cunmqr_tile_async (side, trans, A, T, B, sequence, request, info)
subroutine | plasma_clacpy_tile_async (uplo, A, B, sequence, request, info)
subroutine | plasma_claset_tile_async (uplo, alpha, beta, A, sequence, request, info)
subroutine | plasma_claswpc_tile_async (A, K1, K2, IPIV, INCX, sequence, request, info)
subroutine | plasma_ctrsmrv_tile_async (side, uplo, transA, diag, alpha, A, B, sequence, request, info)
subroutine | plasma_alloc_workspace_cgelqf (M, N, T, info)
subroutine | plasma_alloc_workspace_cgels (M, N, T, info)
subroutine | plasma_alloc_workspace_cgeqrf (M, N, T, info)
subroutine | plasma_alloc_workspace_cgesv_incpiv (N, L, IPIV, info)
subroutine | plasma_alloc_workspace_cgetrf_incpiv (M, N, L, IPIV, info)
subroutine | plasma_alloc_workspace_cgeev (N, T, info)
subroutine | plasma_alloc_workspace_cgebrd (M, N, T, info)
subroutine | plasma_alloc_workspace_cgehrd (N, T, info)
subroutine | plasma_alloc_workspace_cgesvd (M, N, T, info)
subroutine | plasma_alloc_workspace_cheev (M, N, T, info)
subroutine | plasma_alloc_workspace_cheevd (M, N, T, info)
subroutine | plasma_alloc_workspace_chegv (M, N, T, info)
subroutine | plasma_alloc_workspace_chegvd (M, N, T, info)
subroutine | plasma_alloc_workspace_chetrd (M, N, T, info)
subroutine | plasma_alloc_workspace_cgelqf_tile (M, N, descT, info)
subroutine | plasma_alloc_workspace_cgels_tile (M, N, descT, info)
subroutine | plasma_alloc_workspace_cgeqrf_tile (M, N, descT, info)
subroutine | plasma_alloc_workspace_cgesv_incpiv_tile (N, descL, IPIV, info)
subroutine | plasma_alloc_workspace_cgetrf_incpiv_tile (N, descL, IPIV, info)
subroutine | plasma_alloc_workspace_cgetri_tile_async (A, W, info)
subroutine | plasma_clapack_to_tile (Af77, LDA, A, info)
subroutine | plasma_ctile_to_lapack (A, Af77, LDA, info)
subroutine | plasma_clapack_to_tile_async (Af77, LDA, A, sequence, request, info)
subroutine | plasma_ctile_to_lapack_async (A, Af77, LDA, sequence, request, info)